jbox-web jbox-web

deploy-it

72 15 0

Host your own private Heroku, easy ;)

Reports Beta

Some reports are compatible with your project but none of them has been enabled.

Dependencies

Package Locked Requirement Latest Status Changelog
Gems aasm 4.12.2 >= 0 4.12.2

aasm version 4.12.2

AASM is a continuation of the acts-as-state-machine rails plugin, built for plain Ruby objects.

This dependency is up-to-date. Congrats and keep going!

Gems acts_as_list 0.9.8 >= 0 0.9.9

acts_as_list version 0.9.8

This "acts_as" extension provides the capabilities for sorting and reordering a number of objects in a list. The class that has this specified needs to have a "position" column defined as an integer on the mapped database table.

This dependency is not matching latest version. Please consider upgrading.

Gems ajax-datatables-rails 0.4.0 >= 0 0.4.0

ajax-datatables-rails version 0.4.0

A wrapper around datatable's ajax methods that allow synchronization with server-side pagination in a rails app

This dependency is up-to-date. Congrats and keep going!

Gems autoprefixer-rails 7.1.4.1 >= 0 7.1.6

autoprefixer-rails version 7.1.4.1

Parse CSS and add vendor prefixes to CSS rules using values from the Can I Use website.

This dependency is not matching latest version. Please consider upgrading.

Gems bcrypt 3.1.11 >= 0 3.1.11

bcrypt version 3.1.11

bcrypt() is a sophisticated and secure hash algorithm designed by The OpenBSD project for hashing passwords. The bcrypt Ruby gem provides a simple wrapper for safely handling passwords.

This dependency is up-to-date. Congrats and keep going!

Gems bootsnap 1.1.3 >= 0 1.1.5

bootsnap version 1.1.3

Boot large ruby/rails apps faster

This dependency is not matching latest version. Please consider upgrading.

Gems bootstrap-growl-rails 3.1.3 >= 0 3.1.3

bootstrap-growl-rails version 3.1.3

This Gem is intended as an asset wrapper for bootstrap-growl: https://github.com/mouse0270/bootstrap-growl. It turns Bootstrap alerts into "Growl-like" notifications.

This dependency is up-to-date. Congrats and keep going!

Gems bootstrap-sass 3.3.7 >= 0 3.3.7

bootstrap-sass version 3.3.7

bootstrap-sass is a Sass-powered version of Bootstrap 3, ready to drop right into your Sass powered applications.

This dependency is up-to-date. Congrats and keep going!

Gems bootstrap-slider-rails 9.8.0 >= 0 9.4.0

bootstrap-slider-rails version 9.8.0

Make Bootstrap Slider available to Rails

This dependency is not matching latest version. Please consider upgrading.

Gems bootstrap-switch-rails 3.3.3 >= 0 3.3.3

bootstrap-switch-rails version 3.3.3

A small gem for putting bootstrap-switch into the Rails asset pipeline

This dependency is up-to-date. Congrats and keep going!

Gems bootstrap_form 2.7.0 >= 0 2.7.0

bootstrap_form version 2.7.0

bootstrap_form is a rails form builder that makes it super easy to create beautiful-looking forms using Twitter Bootstrap 3+

This dependency is up-to-date. Congrats and keep going!

Gems bundler >= 1.8.4 1.15.4

bundler

Bundler manages an application's dependencies through its entire life, across many machines, systematically and repeatably

This dependency is up-to-date. Congrats and keep going!

Gems chartkick 2.2.4 >= 0 2.2.4

chartkick version 2.2.4

Create beautiful JavaScript charts with one line of Ruby

This dependency is up-to-date. Congrats and keep going!

Gems codemirror-rails 5.16.0 >= 0 5.16.0

codemirror-rails version 5.16.0

This gem provides CodeMirror assets for your Rails application.

This dependency is up-to-date. Congrats and keep going!

Gems coffee-rails 4.2.2 >= 0 4.2.2

coffee-rails version 4.2.2

CoffeeScript adapter for the Rails asset pipeline.

This dependency is up-to-date. Congrats and keep going!

Gems crummy 1.8.0 >= 0 1.8.0

crummy version 1.8.0

Crummy is a simple and tasty way to add breadcrumbs to your Rails applications.

This dependency is up-to-date. Congrats and keep going!

Gems devise 4.3.0 >= 0 4.3.0

devise version 4.3.0

Flexible authentication solution for Rails with Warden

This dependency is up-to-date. Congrats and keep going!

Gems docker-api 1.33.6 >= 0 1.33.6

docker-api version 1.33.6

A simple REST client for the Docker Remote API

This dependency is up-to-date. Congrats and keep going!

Gems dotenv-rails 2.2.1 >= 0 2.2.1

dotenv-rails version 2.2.1

Autoload dotenv in Rails.

This dependency is up-to-date. Congrats and keep going!

Gems exception_notification 4.2.2 >= 0 4.2.2

exception_notification version 4.2.2

Exception notification for Rails apps

This dependency is up-to-date. Congrats and keep going!

Gems figaro 1.1.1 >= 0 1.1.1

figaro version 1.1.1

Simple, Heroku-friendly Rails app configuration using ENV and a single YAML file

This dependency is up-to-date. Congrats and keep going!

Gems font-awesome-rails 4.7.0.2 >= 0 4.7.0.2

font-awesome-rails version 4.7.0.2

I like font-awesome. I like the asset pipeline. I like semantic versioning. If you do too, you're welcome.

This dependency is up-to-date. Congrats and keep going!

Gems font-awesome-sass 4.7.0 >= 0 4.7.0

font-awesome-sass version 4.7.0

Font-Awesome SASS gem for use in Ruby projects

This dependency is up-to-date. Congrats and keep going!

Gems foreman 0.84.0 >= 0 0.84.0

foreman version 0.84.0

Process manager for applications with multiple components

This dependency is up-to-date. Congrats and keep going!

Gems grape 1.0.1 >= 0 1.0.1

grape version 1.0.1

A Ruby framework for rapid API development with great conventions.

This dependency is up-to-date. Congrats and keep going!

Gems groupdate 3.2.0 >= 0 3.2.0

groupdate version 3.2.0

The simplest way to group temporal data

This dependency is up-to-date. Congrats and keep going!

Gems haml-rails 1.0.0 >= 0 1.0.0

haml-rails version 1.0.0

Haml-rails provides Haml generators for Rails 4. It also enables Haml as the templating engine for you, so you don't have to screw around in your own application.rb when your Gemfile already clearly indicated what templating engine you have installed. Hurrah.

This dependency is up-to-date. Congrats and keep going!

Gems hashie-forbidden_attributes 0.1.1 >= 0 0.1.1

hashie-forbidden_attributes version 0.1.1

Automatic strong parameter detection with Hashie and Forbidden Attributes. Formerly known as hashie_rails

This dependency is up-to-date. Congrats and keep going!

Gems hiredis 0.6.1 >= 0 0.6.1

hiredis version 0.6.1

Ruby wrapper for hiredis (protocol serialization/deserialization and blocking I/O)

This dependency is up-to-date. Congrats and keep going!

Gems i18n-tasks 0.9.18 >= 0 0.9.18

i18n-tasks version 0.9.18

i18n-tasks helps you find and manage missing and unused translations. It analyses code statically for key usages, such as `I18n.t('some.key')`, in order to report keys that are missing or unused, pre-fill missing keys (optionally from Google Translate), and remove unused keys.

This dependency is up-to-date. Congrats and keep going!

Gems jquery-rails 4.3.1 >= 0 4.3.1

jquery-rails version 4.3.1

This gem provides jQuery and the jQuery-ujs driver for your Rails 4+ application.

This dependency is up-to-date. Congrats and keep going!

Gems jquery-ui-rails 6.0.1 >= 0 6.0.1

jquery-ui-rails version 6.0.1

jQuery UI's JavaScript, CSS, and image files packaged for the Rails 3.1+ asset pipeline

This dependency is up-to-date. Congrats and keep going!

Gems logster 1.2.7 >= 0 1.2.7

logster version 1.2.7

UI for viewing logs in Rack

This dependency is up-to-date. Congrats and keep going!

Gems mini_racer 0.1.14 >= 0 0.1.14

mini_racer version 0.1.14

Minimal embedded v8 engine for Ruby

This dependency is up-to-date. Congrats and keep going!

Gems mysql2 0.4.9 >= 0 0.4.9

mysql2 version 0.4.9

A simple, fast Mysql library for Ruby, binding to libmysql

This dependency is up-to-date. Congrats and keep going!

Gems nested_form 0.3.2 >= 0 0.3.2

nested_form version 0.3.2

Gem to conveniently handle multiple models in a single form with Rails 3 and jQuery or Prototype.

This dependency is up-to-date. Congrats and keep going!

Gems net-ssh 4.2.0 >= 0 4.2.0

net-ssh version 4.2.0

Net::SSH: a pure-Ruby implementation of the SSH2 client protocol. It allows you to write programs that invoke and interact with processes on remote servers, via SSH2.

This dependency is up-to-date. Congrats and keep going!

Gems pg 0.21.0 >= 0 0.21.0

pg version 0.21.0

Pg is the Ruby interface to the {PostgreSQL RDBMS}[http://www.postgresql.org/]. It works with {PostgreSQL 9.1 and later}[http://www.postgresql.org/support/versioning/]. A small example usage: #!/usr/bin/env ruby require 'pg' # Output a table of current connections to the DB conn = PG.connect( dbname: 'sales' ) conn.exec( "SELECT * FROM pg_stat_activity" ) do |result| puts " PID | User | Query" result.each do |row| puts " %7d | %-16s | %s " % row.values_at('procpid', 'usename', 'current_query') end end

This dependency is up-to-date. Congrats and keep going!

Gems puma 3.10.0 >= 0 3.10.0

puma version 3.10.0

Puma is a simple, fast, threaded, and highly concurrent HTTP 1.1 server for Ruby/Rack applications. Puma is intended for use in both development and production environments. It's great for highly concurrent Ruby implementations such as Rubinius and JRuby as well as as providing process worker support to support CRuby well.

This dependency is up-to-date. Congrats and keep going!

Gems rack-mini-profiler 0.10.5 >= 0 0.10.5

rack-mini-profiler version 0.10.5

Profiling toolkit for Rack applications with Rails integration. Client Side profiling, DB profiling and Server profiling.

This dependency is up-to-date. Congrats and keep going!

Gems rails 5.1.4 ~> 5.1 5.1.4

rails version 5.1.4

Ruby on Rails is a full-stack web framework optimized for programmer happiness and sustainable productivity. It encourages beautiful code by favoring convention over configuration.

This dependency is up-to-date. Congrats and keep going!

Gems rails-assets-datetimepicker 2.5.4 >= 0

Gems rails-assets-highstock-release 5.0.14 >= 0

Gems rails_bootstrap_navbar 2.0.1 >= 0 2.0.1

rails_bootstrap_navbar version 2.0.1

Easily generate a Twitter Bootstrap navbar in your Rails app

This dependency is up-to-date. Congrats and keep going!

Gems record_tag_helper 1.0.0 >= 0 1.0.0

record_tag_helper version 1.0.0

ActionView Record Tag Helpers

This dependency is up-to-date. Congrats and keep going!

Gems redis 3.3.5 >= 0 4.0.1

redis version 3.3.5

A Ruby client that tries to match Redis' API one-to-one, while still providing an idiomatic interface.

This dependency is not matching latest version. Please consider upgrading.

Gems redis-namespace 1.5.3 >= 0 1.5.3

redis-namespace version 1.5.3

Adds a Redis::Namespace class which can be used to namespace calls to Redis. This is useful when using a single instance of Redis with multiple, different applications.

This dependency is up-to-date. Congrats and keep going!

Gems redis-rails 5.0.2 >= 0 5.0.2

redis-rails version 5.0.2

Redis for Ruby on Rails

This dependency is up-to-date. Congrats and keep going!

Gems sass-rails 5.0.6 >= 0 5.0.6

sass-rails version 5.0.6

Sass adapter for the Rails asset pipeline.

This dependency is up-to-date. Congrats and keep going!

Gems select2-rails 4.0.3 >= 0 4.0.3

select2-rails version 4.0.3

Select2 is a jQuery based replacement for select boxes. It supports searching, remote data sets, and infinite scrolling of results. This gem integrates Select2 with Rails asset pipeline for easy of use.

This dependency is up-to-date. Congrats and keep going!

Gems settingslogic 2.0.9 >= 0 2.0.9

settingslogic version 2.0.9

A simple and straightforward settings solution that uses an ERB enabled YAML file and a singleton design pattern.

This dependency is up-to-date. Congrats and keep going!

Gems sidekiq 5.0.4 >= 0 5.0.5

sidekiq version 5.0.4

Simple, efficient background processing for Ruby.

This dependency is not matching latest version. Please consider upgrading.

Gems simple-navigation 4.0.5 >= 0 4.0.5

simple-navigation version 4.0.5

With the simple-navigation gem installed you can easily create multilevel navigations for your Rails, Sinatra or Padrino applications. The navigation is defined in a single configuration file. It supports automatic as well as explicit highlighting of the currently active navigation through regular expressions.

This dependency is up-to-date. Congrats and keep going!

Gems simple_navigation_bootstrap 1.0.1 >= 0 1.0.1

simple_navigation_bootstrap version 1.0.1

This gem adds Bootstrap2 and Bootstrap3 renderers for SimpleNavigation

This dependency is up-to-date. Congrats and keep going!

Gems smart_listing 1.2.1 >= 0 1.2.1

smart_listing version 1.2.1

Ruby on Rails data listing gem with built-in sorting, filtering and in-place editing.

This dependency is up-to-date. Congrats and keep going!

Gems sshkey 1.9.0 >= 0 1.9.0

sshkey version 1.9.0

Generate private/public SSH keypairs using pure Ruby

This dependency is up-to-date. Congrats and keep going!

Gems syslogger 1.6.4 >= 0 1.6.4

syslogger version 1.6.4

Same as SyslogLogger, but without the ridiculous number of dependencies and with the possibility to specify the syslog facility

This dependency is up-to-date. Congrats and keep going!

Gems tty-table 0.8.0 >= 0 0.8.0

tty-table version 0.8.0

A flexible and intuitive table generator

This dependency is up-to-date. Congrats and keep going!

Gems turbolinks 5.0.1 >= 0 5.0.1

turbolinks version 5.0.1

Rails engine for Turbolinks 5 support

This dependency is up-to-date. Congrats and keep going!

Gems uglifier 3.2.0 >= 0 3.2.0

uglifier version 3.2.0

Uglifier minifies JavaScript files by wrapping UglifyJS to be accessible in Ruby

This dependency is up-to-date. Congrats and keep going!

Gems zeroclipboard-rails 0.1.2 >= 0 0.1.2

zeroclipboard-rails version 0.1.2

ZeroClipboard libary support for Rails

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
Gems brakeman 4.0.1 >= 0 4.0.1

brakeman version 4.0.1

Brakeman detects security vulnerabilities in Ruby on Rails applications via static analysis.

This dependency is up-to-date. Congrats and keep going!

Gems bullet 5.6.1 >= 0 5.6.1

bullet version 5.6.1

help to kill N+1 queries and unused eager loading.

This dependency is up-to-date. Congrats and keep going!

Gems capistrano 3.9.1 >= 0 3.9.1

capistrano version 3.9.1

Capistrano is a utility and framework for executing commands in parallel on multiple remote machines, via SSH.

This dependency is up-to-date. Congrats and keep going!

Gems capistrano-foreman 1.3.0 >= 0 1.3.0

capistrano-foreman version 1.3.0

Capistrano tasks for foreman and upstart/systemd.

This dependency is up-to-date. Congrats and keep going!

Gems capistrano-rails 1.3.0 >= 0 1.3.0

capistrano-rails version 1.3.0

Rails specific Capistrano tasks

This dependency is up-to-date. Congrats and keep going!

Gems capistrano-rvm 0.1.2 >= 0 0.1.2

capistrano-rvm version 0.1.2

RVM integration for Capistrano

This dependency is up-to-date. Congrats and keep going!

Gems capistrano-template 0.0.9 >= 0 0.0.9

capistrano-template version 0.0.9

A capistrano 3 plugin that aids in rendering erb templates and uploads the content to the server if the file does not exists at the remote host or the content did change

This dependency is up-to-date. Congrats and keep going!

Gems capybara 2.15.1 >= 0 2.15.4

capybara version 2.15.1

Capybara is an integration testing tool for rack based web applications. It simulates how a user would interact with a website

This dependency is not matching latest version. Please consider upgrading.

Gems capybara-screenshot 1.0.17 >= 0 1.0.17

capybara-screenshot version 1.0.17

When a Cucumber step fails, it is useful to create a screenshot image and HTML file of the current page

This dependency is up-to-date. Congrats and keep going!

Gems codeclimate-test-reporter 1.0.8 >= 0 1.0.8

codeclimate-test-reporter version 1.0.8

Collects test coverage data from your Ruby test suite and sends it to Code Climate's hosted, automated code review service. Based on SimpleCov.

This dependency is up-to-date. Congrats and keep going!

Gems database_cleaner 1.6.1 >= 0 1.6.1

database_cleaner version 1.6.1

Strategies for cleaning databases. Can be used to ensure a clean state for testing.

This dependency is up-to-date. Congrats and keep going!

Gems factory_girl 4.8.1 >= 0 4.8.2

factory_girl version 4.8.1

factory_girl provides a framework and DSL for defining and using factories - less error-prone, more explicit, and all-around easier to work with than fixtures.

This dependency is not matching latest version. Please consider upgrading.

Gems factory_girl_rails 4.8.0 >= 0 4.8.2

factory_girl_rails version 4.8.0

factory_girl_rails provides integration between factory_girl and rails 3 or newer (currently just automatic factory definition loading)

This dependency is not matching latest version. Please consider upgrading.

Gems faker 1.8.4 >= 0 1.8.4

faker version 1.8.4

Faker, a port of Data::Faker from Perl, is used to easily generate fake data: names, addresses, phone numbers, etc.

This dependency is up-to-date. Congrats and keep going!

Gems letter_opener_web 1.3.1 >= 0 1.3.1

letter_opener_web version 1.3.1

Gives letter_opener an interface for browsing sent emails

This dependency is up-to-date. Congrats and keep going!

Gems poltergeist 1.16.0 >= 0 1.16.0

poltergeist version 1.16.0

Poltergeist is a driver for Capybara that allows you to run your tests on a headless WebKit browser, provided by PhantomJS.

This dependency is up-to-date. Congrats and keep going!

Gems rails-erd 1.5.2 >= 0 1.5.2

rails-erd version 1.5.2

Automatically generate an entity-relationship diagram (ERD) for your Rails models.

This dependency is up-to-date. Congrats and keep going!

Gems rspec 3.6.0 >= 0 3.7.0

rspec version 3.6.0

BDD for Ruby

This dependency is not matching latest version. Please consider upgrading.

Gems rspec-rails 3.6.1 >= 0 3.7.1

rspec-rails version 3.6.1

rspec-rails is a testing framework for Rails 3+.

This dependency is not matching latest version. Please consider upgrading.

Gems rubocop 0.50.0 >= 0 0.51.0

rubocop version 0.50.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

This dependency is not matching latest version. Please consider upgrading.

Gems rubycritic 3.2.3 >= 0 3.3.0

rubycritic version 3.2.3

RubyCritic is a tool that wraps around various static analysis gems to provide a quality report of your Ruby code.

This dependency is not matching latest version. Please consider upgrading.

Gems sdoc 0.4.2 >= 0 0.4.2

sdoc version 0.4.2

rdoc generator html with javascript search index.

This dependency is up-to-date. Congrats and keep going!

Gems shoulda 3.5.0 >= 0 3.5.0

shoulda version 3.5.0

Making tests easy on the fingers and eyes

This dependency is up-to-date. Congrats and keep going!

Gems shoulda-context 1.2.2 >= 0 1.2.2

shoulda-context version 1.2.2

Context framework extracted from Shoulda

This dependency is up-to-date. Congrats and keep going!

Gems shoulda-matchers 2.8.0 >= 0 3.1.2

shoulda-matchers version 2.8.0

Making tests easy on the fingers and eyes

This dependency is not matching latest version. Please consider upgrading.

Gems simplecov 0.13.0 >= 0 0.15.1

simplecov version 0.13.0

Code coverage for Ruby 1.9+ with a powerful configuration library and automatic merging of coverage across test suites

This dependency is not matching latest version. Please consider upgrading.

Gems spring 2.0.2 >= 0 2.0.2

spring version 2.0.2

Preloads your application so things like console, rake and tests run faster

This dependency is up-to-date. Congrats and keep going!

Gems spring-commands-rspec 1.0.4 >= 0 1.0.4

spring-commands-rspec version 1.0.4

rspec command for spring

This dependency is up-to-date. Congrats and keep going!